summaryrefslogtreecommitdiffstats
path: root/CIbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'CIbuild.sh')
-rwxr-xr-xCIbuild.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/CIbuild.sh b/CIbuild.sh
new file mode 100755
index 000000000..20785a488
--- /dev/null
+++ b/CIbuild.sh
@@ -0,0 +1,9 @@
+ #!/usr/bin/env bash
+
+set -e
+
+cmake . -DBUILD_TOOLS=1 -DSELF_TEST=1;
+make -j 2;
+make -j 2 test;
+cd MCServer/;
+echo stop | $MCSERVER_PATH;